
Ruby - Bug #3820

Float('0x0.') がエラーにならない

09/12/2010 09:52 PM - tadf (tadayoshi funaba)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.9.3dev (2010-09-12 trunk 29233)

[i686-linux]

Backport:  

Description

=begin

Float('0.') がエラーになることから考えて

Float('0x0.') はエラーになるべき。

=end

Associated revisions

Revision 2590d7447a96ba81a1ea2ae5b0e705f00a1631ac - 09/13/2010 01:15 AM - naruse (Yui NARUSE)

util.c (ruby_strtod): reject Float('0x0.').

[ruby-dev:42239] Bug #3820

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@29239 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 2590d744 - 09/13/2010 01:15 AM - naruse (Yui NARUSE)

util.c (ruby_strtod): reject Float('0x0.').

[ruby-dev:42239] Bug #3820

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@29239 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 8ff17ef26936f3bc4f0fec430fe4cdb56f069a33 - 11/15/2010 11:43 AM - yugui (Yuki Sonoda)

merges r29187 and r29239 from trunk into ruby_1_9_2, but does not raise

an error. just warning.

util.c (ruby_strtod): reject Float('0x0.').

[ruby-dev:42239] Bug #3820

--

util.c (ruby_strtod): check there is at least 1 digit after

"0x" before ".". [ruby-dev:42183] #3790

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_2@29795 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 8ff17ef2 - 11/15/2010 11:43 AM - yugui (Yuki Sonoda)

merges r29187 and r29239 from trunk into ruby_1_9_2, but does not raise

an error. just warning.

util.c (ruby_strtod): reject Float('0x0.').

[ruby-dev:42239] Bug #3820

--

util.c (ruby_strtod): check there is at least 1 digit after

"0x" before ".". [ruby-dev:42183] #3790

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_2@29795 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 09/13/2010 10:17 AM - naruse (Yui NARUSE)

- Status changed from Open to Closed

- % Done changed from 0 to 100
=begin

This issue was solved with changeset r29239.

tadayoshi, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

=end
